Developer Portal

List DealsGET

Return balance and trading deals for the specified account based on the provided criteria.

View as Markdown
GET
/accounts/{accountId}/deals

Authorization

Authorization<token>

Bearer access token issued by the admin login flow.

In: header

Path Parameters

accountIdRequiredstring

Query Parameters

limitinteger
Format: "int32"
fromstring
Format: "date-time"
tostring
Format: "date-time"
curl -X GET "https://example.com/accounts/<string>/deals?limit=0&from=2019-08-24T14%3A15%3A22Z&to=2019-08-24T14%3A15%3A22Z" \
  -H "Authorization: <token>"

A successful response.

{
  "deals": [
    {
      "id": "string",
      "symbolName": "string",
      "comment": "string",
      "accountId": "string",
      "orderId": "string",
      "positionId": "string",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z",
      "symbolId": "string",
      "closedVolume": "string",
      "volume": 0.1,
      "amount": 0.1,
      "amountRaw": 0.1,
      "closePrice": 0.1,
      "closePriceRaw": 0.1,
      "openPrice": 0.1,
      "openPriceRaw": 0.1,
      "margin": 0.1,
      "commission": 0.1,
      "commissionRaw": 0.1,
      "action": "DEAL_ACTION_UNSPECIFIED",
      "direction": "DEAL_DIRECTION_UNSPECIFIED",
      "userId": "string",
      "clientDealId": "string",
      "rawRate": 0.1,
      "appliedRate": 0.1,
      "prevBalance": 0.1,
      "newBalance": 0.1,
      "fxRate": 0.1,
      "fxRateMarked": 0.1,
      "fxMarkupAmount": 0.1,
      "fxRateComm": 0.1,
      "fxRateCommMarked": 0.1,
      "fxMarkupAmountComm": 0.1,
      "amountUsd": 0.1,
      "commissionUsd": 0.1,
      "fxMarkupAmountUsd": 0.1,
      "fxMarkupAmountCommUsd": 0.1,
      "fxToUsd": 0.1,
      "notionalUsd": 0.1,
      "priceMarkupAmountUsd": 0.1
    }
  ],
  "hasMore": true
}